<?php
require_once(__DIR__.'/../config.php');

function require_role($roles = []){
    global $_settings;

    if(!isset($_settings)){
        redirect('login.php');
        exit;
    }

    $user_role = $_settings->userdata('role');

    if(!in_array($user_role, $roles)){
        // Acceso no autorizado
        $_settings->set_flashdata(
            'error',
            'No tiene permisos para acceder a esta sección'
        );
        redirect('./');
        exit;
    }
}
